Bug 1297514 - Review Request: python3-numpy - A fast multidimensional array facility for Python 3
Review Request: python3-numpy - A fast multidimensional array facility for Py...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
epel7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
:
Depends On: 1294862
Blocks: 1297977
  Show dependency treegraph
 
Reported: 2016-01-11 13:11 EST by Orion Poplawski
Modified: 2016-03-22 00:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 00:27:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2016-01-11 13:11:02 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-numpy.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-numpy-1.10.4-1.el7.src.rpm
Description:

NumPy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays.  NumPy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

There are also basic facilities for discrete fourier transform,
basic linear algebra and random number generation. Also included in
this package is a version of f2py that works properly with NumPy.

Fedora Account System Username: orion

This package is for EPEL only.
Comment 2 Denis Fateyev 2016-02-23 11:35:33 EST
There is atlas, blas, lapack etc. stuff presented in the spec:

------------------------
# Atlas 3.10 library names
cat >> site.cfg <<EOF
[atlas]
library_dirs = %{_libdir}/atlas
atlas_libs = satlas
EOF


%build
env ATLAS=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags}" \
    %{py3_build}


%install
#%%{__python} setup.py install -O1 --skip-build --root %%{buildroot}
# skip-build currently broken, this works around it for now
env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags}" \
    %{__python3} setup.py install --root %{buildroot}
------------------------

But there are no BRs which leads to this during build:

------------------------
+ /usr/bin/python3.4 setup.py build '--executable=/usr/bin/python3.4 -s'
blas_opt_info:
blas_mkl_info:
  libraries mkl,vml,guide not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
  NOT AVAILABLE
openblas_info:
  libraries openblas not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
  NOT AVAILABLE
atlas_3_10_blas_threads_info:
Setting PTATLAS=ATLAS
  libraries satlas not found in []
  NOT AVAILABLE
atlas_3_10_blas_info:
  libraries satlas not found in []
  NOT AVAILABLE
atlas_blas_threads_info:
Setting PTATLAS=ATLAS
  libraries satlas not found in []
  NOT AVAILABLE
atlas_blas_info:
  libraries satlas not found in []
  NOT AVAILABLE
blas_info:
  libraries blas not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
  NOT AVAILABLE
blas_src_info:
  NOT AVAILABLE
  NOT AVAILABLE
...
/builddir/build/BUILD/numpy-1.10.4/numpy/distutils/system_info.py:635: UserWarning: Specified path /usr/lib64/atlas is invalid.
    Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [atlas]) or by setting
    the ATLAS environment variable.
...
/builddir/build/BUILD/numpy-1.10.4/numpy/distutils/system_info.py:1660: UserWarning: 
    Blas (http://www.netlib.org/blas/) libraries not found.
...
/builddir/build/BUILD/numpy-1.10.4/numpy/distutils/system_info.py:1563: UserWarning: 
    Lapack (http://www.netlib.org/lapack/) libraries not found.
------------------------

I didn't really get the idea why ENVs were defined but there is no real usage of system shared libs.
Also, the package contains "lite" versions of fft, blas and lapack (`numpy/linalg`, `numpy/fft`) which is more confusing.
Comment 3 Orion Poplawski 2016-02-25 18:51:23 EST
Indeed, I lost most of the non-python BRs when reconfiguring the package.

* Thu Feb 25 2016 Orion Poplawski <orion@cora.nwra.com> - 1:1.10.4-2
- Add missing BuildRequires

Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-numpy.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-numpy-1.10.4-2.el7.src.rpm
Comment 4 Denis Fateyev 2016-02-26 11:20:35 EST
The spec retrieves a previous version, and the SRPM throws "not found" error, please fix the links above.
Comment 5 Orion Poplawski 2016-02-26 11:56:32 EST
Sorry about that.  Should be fixed now.
Comment 6 Denis Fateyev 2016-02-26 12:23:52 EST
1) I think there is no need to bump the epoch (or even to place the epoch tag) since numpy py3-version has never been populated into epel7: http://pkgs.fedoraproject.org/cgit/rpms/numpy.git/commit/?h=epel7
Also, with this package we have nothing to do with 'numpy' py2-version shipped with epel7;

2) "BR: Cython" should be enough to build, we don't have py34 Cython yet.
Comment 7 Orion Poplawski 2016-02-26 13:09:58 EST
(In reply to Denis Fateyev from comment #6)
> 1) I think there is no need to bump the epoch (or even to place the epoch
> tag) since numpy py3-version has never been populated into epel7:
> http://pkgs.fedoraproject.org/cgit/rpms/numpy.git/commit/?h=epel7
> Also, with this package we have nothing to do with 'numpy' py2-version
> shipped with epel7;

I was concerned that other packages would have BR/R python3-numpy > 2:1.XX, but I can't find that anywhere in Fedora.  Dropped.

> 2) "BR: Cython" should be enough to build, we don't have py34 Cython yet.

Actually, it doesn't look like we need Cython for the build, so I dropped the BR.

* Fri Feb 26 2016 Orion Poplawski <orion@cora.nwra.com> - 1:1.10.4-3
- Drop epoch
- Drop BR Cython

Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-numpy.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-numpy-1.10.4-3.el7.src.rpm
Comment 9 Denis Fateyev 2016-02-26 15:12:46 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "PSF (v2)", "MIT/X11 (BSD like)", "BSD (2 clause) MIT/X11 (BSD
     like)", "Unknown or generated", "BSD (2 clause)". 639 files have
     unknown license. Detailed output of licensecheck in
     /home/mock/sandbox/review/1297514-python3-numpy/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Separate "python34-numpy-1.10.4-3.el7.centos.x86_64.rpm" and "python34-numpy-f2py-1.10.4-3.el7.centos.x86_64.rpm" checks:
---------------------------------------------------------
 Rpmlint:
 --------

python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_interrupt.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/system_info.py 644 /bin/env
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/tests/pyrex_ext/setup.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/__multiarray_api.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/exec_command.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/utils.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/_numpyconfig.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/ma/setup.py 644 /usr/bin/env
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/core/operand_flag_tests.cpython-34m.so 775
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_os.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_no_deprecated_api.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/conv_template.py 644 /usr/bin/python
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/tests/setup.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/ufuncobject.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/ma/bench.py 644 /usr/bin/env
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/testing/setup.py 644 /usr/bin/env
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/testing/print_coercion_tables.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/arrayobject.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/distutils/tests/swig_ext/src/zoo.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/lib/libnpymath.a
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/fft/tests/test_helper.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/ndarraytypes.h
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/core/umath.cpython-34m.so 775
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/core/umath_tests.cpython-34m.so 775
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/from_template.py 644 /usr/bin/python
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_math.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/matrixlib/setup.py 644 /usr/bin/env
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/tests/gen_ext/setup.py 644 /usr/bin/env
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/core/test_rational.cpython-34m.so 775
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/tests/f2py_f90_ext/setup.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/noprefix.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/numpyconfig.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/distutils/mingw/gfortran_vs2003_hack.c
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/random/randomkit.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/cpuinfo.py 644 /usr/bin/env
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/setup.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/old_defines.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/tests/swig_ext/setup.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/ndarrayobject.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_3kcompat.h
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/core/multiarray.cpython-34m.so 775
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/compat/setup.py 644 /usr/bin/env
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/core/tests/test_arrayprint.py 644 /usr/bin/python
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/core/struct_ufunc_test.cpython-34m.so 775
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/core/multiarray_tests.cpython-34m.so 775
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_endian.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_common.h
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/setup.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/halffloat.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/oldnumeric.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/_neighborhood_iterator_imp.h
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/random/mtrand.cpython-34m.so 775
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/core/_dummy.cpython-34m.so 775
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_cpu.h
python34-numpy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/numpy/fft/fftpack_lite.cpython-34m.so 775
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/tests/f2py_ext/setup.py 644 /usr/bin/env
python34-numpy.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/distutils/tests/test_misc_util.py 644 /usr/bin/env
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/distutils/tests/swig_ext/src/example.c
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/__ufunc_api.h
python34-numpy.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/arrayscalars.h
python34-numpy-f2py.x86_64: E: devel-dependency python34-devel
python34-numpy-f2py.x86_64: W: summary-not-capitalized C f2py for numpy
python34-numpy-f2py.x86_64: W: only-non-binary-in-usr-lib
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/diagnose.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/f90mod_rules.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/cfuncs.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/f2py2e.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/crackfortran.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/cb_rules.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/f2py/src/fortranobject.h
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/use_rules.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/common_rules.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/rules.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/f2py/src/fortranobject.c
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/__init__.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/setup.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/auxfuncs.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: W: hidden-file-or-dir /usr/lib64/python3.4/site-packages/numpy/f2py/tests/src/assumed_shape/.f2py_f2cmap
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/capi_maps.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/numpy/f2py/func2subr.py 644 /usr/bin/env
python34-numpy-f2py.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/numpy/f2py/tests/src/array_from_pyobj/wrapmodule.c
2 packages and 0 specfiles checked; 47 errors, 35 warnings.


 Requires:
 ---------
  $ rpm -qp --requires python34-numpy-1.10.4-3.el7.centos.x86_64.rpm | sort | uniq -c
      1 ld-linux-x86-64.so.2()(64bit)
      1 ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.11)(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.3.4)(64bit)
      1 libc.so.6(GLIBC_2.3)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libgcc_s.so.1()(64bit)
      1 libgfortran.so.3()(64bit)
      1 libm.so.6()(64bit)
      1 libm.so.6(GLIBC_2.2.5)(64bit)
      1 libpthread.so.0()(64bit)
      1 libpthread.so.0(GLIBC_2.2.5)(64bit)
      1 libpython3.4m.so.1.0()(64bit)
      1 libquadmath.so.0()(64bit)
      1 libsatlas.so.3()(64bit)
      1 libtatlas.so.3()(64bit)
      1 python(abi) = 3.4
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PartialHardlinkSets) <= 4.0.4-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)

  $ rpm -qp --requires python34-numpy-f2py-1.10.4-3.el7.centos.x86_64.rpm | sort | uniq -c
      1 python34-devel
      1 python34-numpy = 1.10.4-3.el7.centos
      1 python(abi) = 3.4
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PartialHardlinkSets) <= 4.0.4-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 /usr/bin/python3.4

 Provides:
 ---------
  $ rpm -qp --provides python34-numpy-1.10.4-3.el7.centos.x86_64.rpm | sort | uniq -c
      1 python34-numpy = 1.10.4-3.el7.centos
      1 python34-numpy(x86-64) = 1.10.4-3.el7.centos

  $ rpm -qp --provides python34-numpy-f2py-1.10.4-3.el7.centos.x86_64.rpm | sort | uniq -c
      1 python34-numpy-f2py = 1.10.4-3.el7.centos
      1 python34-numpy-f2py(x86-64) = 1.10.4-3.el7.centos


Source checksums
----------------
http://downloads.sourceforge.net/numpy/numpy-1.10.4.tar.gz :
  CHECKSUM(SHA256) this package     : f7f91842056a7cf680b0eaf8cefc5e46c69e2521e651128d2e6aaaccec8652ae
  CHECKSUM(SHA256) upstream package : f7f91842056a7cf680b0eaf8cefc5e46c69e2521e651128d2e6aaaccec8652ae


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1297514
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Remarks:
--------
1) There are some files with different license that can be mentioned:

BSD (2 clause)
--------------
numpy-1.10.4/numpy/random/mtrand/initarray.c

BSD (2 clause) MIT/X11 (BSD like)
---------------------------------
numpy-1.10.4/numpy/random/mtrand/randomkit.c

MIT/X11 (BSD like)
------------------
numpy-1.10.4/numpy/random/mtrand/distributions.c
numpy-1.10.4/numpy/random/mtrand/distributions.h
numpy-1.10.4/numpy/random/mtrand/mtrand.pyx
numpy-1.10.4/numpy/random/mtrand/randomkit.h

PSF (v2)
--------
numpy-1.10.4/doc/scipy-sphinx-theme/_theme/scipy/static/js/copybutton.js


2) openblas is still missing in BR:

F2PY Version 2
lapack_opt_info:
openblas_lapack_info:
  libraries openblas not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
  NOT AVAILABLE
lapack_mkl_info:
mkl_info:
  libraries mkl,vml,guide not found in ['/usr/local/lib64', '/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
  NOT AVAILABLE
  NOT AVAILABLE

3) Please fix shebang in Python files according rpmlint report (e.g. as described here: https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries ), and other error/warnings where applicable.
Also, while importing package consider filtering some errors (like "devel-dependency python34-devel") in `.rpmlint` file.

4) Please drop epoch tag "1:" from changelog items;

5) I would drop "relc" since `beta/rc` releases woldn't ever go there (although a pure cosmetic change).
Comment 10 Orion Poplawski 2016-03-01 14:13:19 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-numpy.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-numpy-1.10.4-4.el7.src.rpm

%changelog
* Tue Mar 1 2016 Orion Poplawski <orion@cora.nwra.com> - 1.10.4-4
- Strip shbangs and fix .so permissions

I've also made some notes about the licenses.  I believe BSD still covers as the proper effective license the combined BSB and MIT files.

We are explicitly using atlas *instead* of openblas.
Comment 11 Denis Fateyev 2016-03-02 17:27:19 EST
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=13205974

Please don't forget adding "devel-file-in-non-devel-package" and "devel-dependency" filtering to '.rpmlint' file during package import.
Also the comment
> #uncomment next line for a release candidate or a beta
in the very beginning is no longer needed.

Otherwise the package is APPROVED.
Comment 12 Orion Poplawski 2016-03-02 18:21:07 EST
Thanks for the review!
Comment 13 Gwyn Ciesla 2016-03-03 09:20:54 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-numpy
Comment 14 Fedora Update System 2016-03-03 13:59:27 EST
python3-numpy-1.10.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3fc19e2025
Comment 15 Fedora Update System 2016-03-04 20:53:53 EST
python3-numpy-1.10.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3fc19e2025
Comment 16 Fedora Update System 2016-03-22 00:27:51 EDT
python3-numpy-1.10.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.